`lqr_carver_get_image_type`
Prev | Carver objects | Next

## Name

lqr_carver_get_image_type — get the image type of a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrImageType lqr_carver_get_image_type(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_get_image_type` returns the image type (i.e. colour model) of the image contained in the `LqrCarver` object pointed to by `carver`.

## See also

LqrImageType(3), `lqr_carver_new`(3), `lqr_carver_set_image_type`(3), `lqr_carver_get_width`(3), `lqr_carver_get_height`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_get_channels`(3), `lqr_carver_get_col_depth`(3), `lqr_carver_get_enl_step`(3), `lqr_carver_get_orientation`(3)

Prev | Up | Next
`lqr_carver_get_col_depth` | Home | `lqr_carver_get_enl_step`